org.apache.cassandra.db

## Class BufferCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell
  - - org.apache.cassandra.db.BufferCell

- All Implemented Interfaces:
    Cell, OnDiskAtom
  Direct Known Subclasses:
    BufferCounterCell, BufferCounterUpdateCell, BufferDeletedCell, BufferExpiringCell

      public class BufferCell
      extends AbstractCell

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CellName` | `name`
    `protected long` | `timestamp`
    `protected java.nio.ByteBuffer` | `value`

    - ### Fields inherited from interface org.apache.cassandra.db.Cell

      `MAX_NAME_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferCell(CellName name, java.nio.ByteBuffer value)`
    `BufferCell(CellName name, java.nio.ByteBuffer value, long timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cell` | `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
    `Cell` | `localCopy(CFMetaData metadata, MemtableAllocator allocator, OpOrder.Group opGroup)`
    `CellName` | `name()`
    `long` | `timestamp()` For a standard column, this is the same as timestamp().
    `long` | `unsharedHeapSizeExcludingData()`
    `java.nio.ByteBuffer` | `value()`
    `Cell` | `withUpdatedName(CellName newName)`
    `Cell` | `withUpdatedTimestamp(long newTimestamp)`
    `Cell` | `withUpdatedTimestampAndLocalDeletionTime(long newTimestamp, int newLocalDeletionTime)`

    - ### Methods inherited from class org.apache.cassandra.db.AbstractCell

      `cellDataSize, create, diff, diffCounter, equals, equals, getLocalDeletionTime, getString, hashCode, isLive, isLive, onDiskIterator, reconcile, reconcileCounter, serializationFlags, serializedSize, updateDigest, validateFields, validateName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected final CellName name

    - #### value

          protected final java.nio.ByteBuffer value

    - #### timestamp

          protected final long timestamp

  - ### Constructor Detail

    - #### BufferCell

          public BufferCell(CellName name,
                            java.nio.ByteBuffer value)

    - #### BufferCell

          public BufferCell(CellName name,
                            java.nio.ByteBuffer value,
                            long timestamp)

  - ### Method Detail

    - #### withUpdatedName

          public Cell withUpdatedName(CellName newName)

    - #### withUpdatedTimestamp

          public Cell withUpdatedTimestamp(long newTimestamp)

    - #### withUpdatedTimestampAndLocalDeletionTime

          public Cell withUpdatedTimestampAndLocalDeletionTime(long newTimestamp,
                                                               int newLocalDeletionTime)

    - #### name

          public CellName name()

    - #### value

          public java.nio.ByteBuffer value()

    - #### timestamp

          public long timestamp()

      Description copied from interface: `OnDiskAtom`
      For a standard column, this is the same as timestamp(). For a super column, this is the min/max column timestamp of the sub columns.

    - #### unsharedHeapSizeExcludingData

          public long unsharedHeapSizeExcludingData()

    - #### localCopy

          public Cell localCopy(CFMetaData metadata,
                                AbstractAllocator allocator)

    - #### localCopy

          public Cell localCopy(CFMetaData metadata,
                                MemtableAllocator allocator,
                                OpOrder.Group opGroup)

Copyright © 2018 The Apache Software Foundation